## ros-iron-gz-ros2-control 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(gz_ros2_control)

# Default to C11
if(NOT CMAKE_C_STANDARD)
    set(CMAKE_C_STANDARD 11)
endif()
# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 17)
endif()

# Compiler options
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(controller_manager REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

set(GZ_PLUGIN)
set(GZ_SIM)

if("$ENV{GZ_VERSION}" STREQUAL "garden")
  find_package(gz-sim7 REQUIRED)
  set(GZ_SIM_VER ${gz-sim7_VERSION_MAJOR})
  message(STATUS "Compiling against Gazebo Garden")
  find_package(gz-plugin2 REQUIRED)
  set(GZ_PLUGIN_VER ${gz-plugin2_VERSION_MAJOR})
  set(GZ_PLUGIN gz-plugin${GZ_PLUGIN_VER}::register)
  set(GZ_SIM gz-sim${GZ_SIM_VER}::core)
  add_definitions(-DGZ_HEADERS)
else()
  find_package(ignition-gazebo6 REQUIRED)
  set(GZ_SIM_VER ${ignition-gazebo6_VERSION_MAJOR})
  message(STATUS "Compiling against Gazebo Fortress")
  find_package(ignition-plugin1 REQUIRED)
  set(GZ_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})
  set(GZ_PLUGIN ignition-plugin${GZ_PLUGIN_VER}::register)
  set(GZ_SIM ignition-gazebo${GZ_SIM_VER}::core)
endif()

include_directories(include)

add_library(${PROJECT_NAME}-system SHARED
  src/gz_ros2_control_plugin.cpp
)

target_link_libraries(${PROJECT_NAME}-system
  ${GZ_SIM}
  ${GZ_PLUGIN}
)
ament_target_dependencies(${PROJECT_NAME}-system
  ament_index_cpp
  controller_manager
  hardware_interface
  pluginlib
  rclcpp
  yaml_cpp_vendor
  rclcpp_lifecycle
)

#########

add_library(gz_hardware_plugins SHARED
  src/gz_system.cpp
)
ament_target_dependencies(gz_hardware_plugins
  rclcpp_lifecycle
  hardware_interface
  rclcpp
)
target_link_libraries(gz_hardware_plugins
  ${GZ_SIM}
)

## Install
install(TARGETS
  gz_hardware_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY
  include
  DESTINATION include
)

# Testing and linting
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME} gz_hardware_plugins)

# Install directories
install(TARGETS ${PROJECT_NAME}-system
  DESTINATION lib
)

pluginlib_export_plugin_description_file(gz_ros2_control gz_hardware_plugins.xml)

# Setup the project
ament_package()

=== debian/changelog ===
ros-iron-gz-ros2-control (1.1.2-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (#175 <https://github.com/ros-controls/gz_ros2_control/issues/175>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-iron-gz-ros2-control (1.1.1-1jammy) jammy; urgency=high

  * Remove plugin export from ROS 1 (#158 <https://github.com/ros-controls/gz_ros2_control//issues/158>)
  * Fixed default gazebo version in CMakeLists.txt (#156 <https://github.com/ros-controls/gz_ros2_control//issues/156>)
  * Compile master with iron and rolling (#142 <https://github.com/ros-controls/gz_ros2_control//issues/142>)
  * Update package.xml (#141 <https://github.com/ros-controls/gz_ros2_control//issues/141>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Christoph Fröhlich

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 12 Jul 2023 22:00:00 -0000

ros-iron-gz-ros2-control (1.1.0-1jammy) jammy; urgency=high

  * Fixed segmentation fault with logger (#136 <https://github.com/ros-controls/gz_ros2_control/issues/136>)
  * Disable ROS signal handlers (#129 <https://github.com/ros-controls/gz_ros2_control/issues/129>)
  * Contributors: Alejandro Hernández Cordero, Carlo Rizzardo

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 22 May 2023 22:00:00 -0000

ros-iron-gz-ros2-control (1.0.0-1jammy) jammy; urgency=high

  * Context and Namespace Handling for Multi-Robot Sim (#128 <https://github.com/ros-controls/gz_ros2_control/issues/128>)
  * Install include directory since it is exported (#127 <https://github.com/ros-controls/gz_ros2_control/issues/127>)
  * Renamed ign to gz (#67 <https://github.com/ros-controls/gz_ros2_control/issues/67>)
  * Contributors: Alejandro Hernández Cordero, Roni Kreinin, Tim Clephas

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 27 Mar 2023 22:00:00 -0000

ros-iron-gz-ros2-control (0.6.1-1jammy) jammy; urgency=high

  * Various bug fixes (#114 <https://github.com/ros-controls/gz_ros2_control/issues/114>)
  * Contributors: AndyZe

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 06 Feb 2023 23:00:00 -0000

ros-iron-gz-ros2-control (0.6.0-1jammy) jammy; urgency=high

  * Fix API braking of hardware plugin name. (#108 <https://github.com/ros-controls/gz_ros2_control/issues/108>)
  * Galactic to master -- Merge pull request #103 <https://github.com/ros-controls/gz_ros2_control/issues/103> from ros-controls/ahcorde/galactic_to_main_25_11_2022
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>) (#102 <https://github.com/ros-controls/gz_ros2_control/issues/102>)
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>)
  * Enable loading params from multiple yaml files (#94 <https://github.com/ros-controls/gz_ros2_control/issues/94>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Set right initial velocity (#81 <https://github.com/ros-controls/gz_ros2_control/issues/81>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Lovro Ivanov

 -- Alejandro Hernández <alejandro@openrobotics.com>  Thu, 05 Jan 2023 23:00:00 -0000

ros-iron-gz-ros2-control (0.5.0-1jammy) jammy; urgency=high

  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * activated all hardware by default and improved variable naming (#74 <https://github.com/ros-controls/gz_ros2_control/issues/74>)
  * Implemented perform_command_mode_switch override in GazeboSystem (#76 <https://github.com/ros-controls/gz_ros2_control/issues/76>)
  * Remove warnings (#72 <https://github.com/ros-controls/gz_ros2_control/issues/72>)
  * change component name for ignition (#69 <https://github.com/ros-controls/gz_ros2_control/issues/69>)
  * Added logic for activating hardware interfaces (#68 <https://github.com/ros-controls/gz_ros2_control/issues/68>)
  * Merge branch 'foxy' into ahcorde/foxy_to_galactic_27_05_2022
  * Adapt to ROS 2 Humble
  * typo in citadel name (#51 <https://github.com/ros-controls/gz_ros2_control/issues/51>)
  * ros2_control is now having usings under its namespace. (#43 <https://github.com/ros-controls/gz_ros2_control/issues/43>)
  * Fix default ign gazebo version Rolling (#45 <https://github.com/ros-controls/gz_ros2_control/issues/45>)
  * Fix ignition version in package.xml - Rolling (#41 <https://github.com/ros-controls/gz_ros2_control/issues/41>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Guillaume Beuzeboc, Tianyu Li

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 08 Aug 2022 22:00:00 -0000

ros-iron-gz-ros2-control (0.4.1-1jammy) jammy; urgency=high

  * Remove URDF dependency (#56 <https://github.com/ignitionrobotics/ign_ros2_control/issues/56>)
  * typo in citadel name (#54 <https://github.com/ignitionrobotics/ign_ros2_control/issues/54>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Beuzeboc, ahcorde

 -- Alejandro Hernández <alejandro@openrobotics.com>  Sun, 05 Jun 2022 22:00:00 -0000

ros-iron-gz-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Fix default ign gazebo version Galactic (#44 <https://github.com/ignitionrobotics/ign_ros2_control/issues/44>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Thu, 17 Mar 2022 23:00:00 -0000

ros-iron-gz-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Fix ignition version in package.xml (#40 <https://github.com/ignitionrobotics/ign_ros2_control/issues/40>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 15 Mar 2022 23:00:00 -0000



=== debian/control ===
Source: ros-iron-gz-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández <alejandro@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libignition-gazebo6-dev, libignition-plugin-dev, ros-iron-ament-cmake, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-controller-manager, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-gz-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo6-dev, libignition-plugin-dev, ros-iron-ament-index-cpp, ros-iron-controller-manager, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: Gazebo ros2_control package allows to control simulated robots using ros2_control framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-gz-ros2-control//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
